BlockOperations (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.impl.prefetch, class: BlockOperations

Package org.apache.hadoop.fs.impl.prefetch

# Class BlockOperations

java.lang.Object
org.apache.hadoop.fs.impl.prefetch.BlockOperations

public final class BlockOperations extends Object
Block level operations performed on a file. This class is meant to be used by `BlockManager`. It is separated out in its own file due to its size. This class is used for debugging/logging. Calls to this class can be safely removed without affecting the overall operation.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BlockOperations.End`
  `static enum`
  `BlockOperations.Kind`
  Operation kind.
  `static class`
  `BlockOperations.Operation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlockOperations()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlockOperations.Operation`
  `addToCache(int blockNumber)`
  `void`
  `analyze(StringBuilder sb)`
  `BlockOperations.Operation`
  `cancelPrefetches()`
  `BlockOperations.Operation`
  `close()`
  `BlockOperations.Operation`
  `end(BlockOperations.Operation op)`
  `static BlockOperations`
  `fromSummary(String summary)`
  `BlockOperations.Operation`
  `getCached(int blockNumber)`
  `void`
  `getDurationInfo(StringBuilder sb)`
  `BlockOperations.Operation`
  `getPrefetched(int blockNumber)`
  `BlockOperations.Operation`
  `getRead(int blockNumber)`
  `String`
  `getSummary(boolean showDebugInfo)`
  `BlockOperations.Operation`
  `prefetch(int blockNumber)`
  `BlockOperations.Operation`
  `release(int blockNumber)`
  `BlockOperations.Operation`
  `requestCaching(int blockNumber)`
  `BlockOperations.Operation`
  `requestPrefetch(int blockNumber)`
  `void`
  `setDebug(boolean state)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlockOperations

    public BlockOperations()

- ## Method Details

  - ### setDebug

    public void setDebug(boolean state)

  - ### getPrefetched

    public BlockOperations.Operation getPrefetched(int blockNumber)

  - ### getCached

    public BlockOperations.Operation getCached(int blockNumber)

  - ### getRead

    public BlockOperations.Operation getRead(int blockNumber)

  - ### release

    public BlockOperations.Operation release(int blockNumber)

  - ### requestPrefetch

    public BlockOperations.Operation requestPrefetch(int blockNumber)

  - ### prefetch

    public BlockOperations.Operation prefetch(int blockNumber)

  - ### cancelPrefetches

    public BlockOperations.Operation cancelPrefetches()

  - ### close

    public BlockOperations.Operation close()

  - ### requestCaching

    public BlockOperations.Operation requestCaching(int blockNumber)

  - ### addToCache

    public BlockOperations.Operation addToCache(int blockNumber)

  - ### end

    public BlockOperations.Operation end(BlockOperations.Operation op)

  - ### getSummary

    public String getSummary(boolean showDebugInfo)

  - ### getDurationInfo

    public void getDurationInfo(StringBuilder sb)

  - ### analyze

    public void analyze(StringBuilder sb)

  - ### fromSummary

    public static BlockOperations fromSummary(String summary)